using Ardalis.Specification;
using BookHive.Models;

namespace BookHive.Specifications.Books;

public class GetBookByIdSpec : SingleResultSpecification<Book>
{
    public GetBookByIdSpec(int bookId)
    {
        Query
            .Where(x => x.Id == bookId);
    }
}